This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 535795 - (RHQ-2454) Web Services tests and source need to be i) added to automated build system to prevent regression
Web Services tests and source need to be i) added to automated build system t...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Build System (Show other bugs)
1.3
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: rhq_triage
  Show dependency treegraph
 
Reported: 2009-10-05 13:29 EDT by Simeon Pinder
Modified: 2014-05-09 11:59 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
All known
Last Closed: 2014-05-09 11:59:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Simeon Pinder 2009-10-05 13:29:00 EDT
1) Regression test classes for Web Services, ({jopr_src_dir}\modules\enterprise\remoting\webservices\src\test\java\org\rhq\enterprise\server\ws\) need to be included in continuous build integration system.
##Anticipated steps:
i) enable WS by renaming jbossws.sar.rej for Jopr instance
ii) startup Jopr instance
iii) install Perftest plugin, JBoss, Tomcat, plugins .. see {jopr_src_dir}\modules\enterprise\remoting\scripts\README for more details
iv) import the managed resources

2)Sources for generated JAXWS WS types located at following {jopr_src_dir}\modules\enterprise\remoting\webservices\target\rhq-remoting-webservices-VERSION\wsconsume-output, and sources for unit tests (above) need to be added to source compilation in the build.  This will help to catch JAXWS/WS signature changes manifested in JAXB object changes.

### Additional background:
Above tasks not initially done as impl time would have detracted from feature/implementation testing for 2.3. Pushed to post 2.3 release.
Comment 1 Red Hat Bugzilla 2009-11-10 16:04:45 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2454
Comment 2 wes hayutin 2010-02-16 11:52:11 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 3 wes hayutin 2010-02-16 11:58:08 EST
making sure we're not missing any bugs in rhq_triage
Comment 4 Joseph Marques 2010-10-05 12:47:00 EDT
jsanda - any proposals on how to achieve this?
Comment 5 Jay Shaughnessy 2014-05-09 11:59:55 EDT
WS are gone.

Note You need to log in before you can comment on or make changes to this bug.